View Issue Details

IDProjectCategoryView StatusLast Update
0032682Open CASCADEOCCT:DRAWpublic2021-12-13 14:56
Reporterkgv Assigned Tosmoskvin  
PrioritynormalSeverityfeature 
Status verifiedResolutionfixed 
Target Version7.7.0 
Summary0032682: Draw Harness, ViewerTest - add -rotationMode and -navigationMode to vcamera
Descriptionvcamera command lacks options to configure AIS_ViewController::RotationMode() and AIS_ViewController::NavigationMode().
Steps To Reproduce
pload MODELING VISUALIZATION
vinit View1
box b 1 2 3
vdisplay -dispMode 1 b
vfit

vcamera -persp -navigationMode flight
TagsNo tags attached.
Test case numberN/A

Activities

git

2021-11-22 23:08

administrator   ~0105361

Branch CR32682 has been created by kgv.

SHA-1: c9f047057e1588fe6db9d8172416d23c9a853687


Detailed log of new commits:

Author: kgv
Date: Mon Nov 22 23:08:19 2021 +0300

    0032682: Draw Harness, ViewerTest - add -rotationMode and -navigationMode to vcamera

kgv

2021-11-22 23:09

developer   ~0105362

Patch is ready for review
- OCCT: branch CR32682.

osa

2021-11-23 10:02

developer   ~0105364

The patch was reviewed

smoskvin

2021-11-27 14:23

administrator   ~0105462

Combination -
OCCT branch : IR-2021-11-26
master SHA - 4a837ecec21bfe24d9c224c4b59aa9779156f297
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-11-26 SHA - 5da5872bffc6c1fa745ee5e33ac09c4fffd349b4
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18390.380000000398 / 18549.650000000624 [-0.86%]
Products
Total CPU difference: 11648.280000000103 / 11661.570000000122 [-0.11%]
Windows-64-VC14:
OCCT
Total CPU difference: 19927.859375 / 19945.046875 [-0.09%]
Products
Total CPU difference: 13059.03125 / 13091.625 [-0.25%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-12-13 14:56

administrator   ~0105889

Branch CR32682 has been deleted by kgv.

SHA-1: c9f047057e1588fe6db9d8172416d23c9a853687

Related Changesets

occt: master e1aa4ee3

2021-11-22 20:08:19

kgv


Committer: smoskvin Details Diff
0032682: Draw Harness, ViewerTest - add -rotationMode and -navigationMode to vcamera Affected Issues
0032682
mod - src/ViewerTest/ViewerTest_ViewerCommands.cxx Diff File

Issue History

Date Modified Username Field Change
2021-11-22 23:06 kgv New Issue
2021-11-22 23:06 kgv Assigned To => kgv
2021-11-22 23:08 git Note Added: 0105361
2021-11-22 23:09 kgv Test case number => N/A
2021-11-22 23:09 kgv Steps to Reproduce Updated
2021-11-22 23:09 kgv Note Added: 0105362
2021-11-22 23:09 kgv Assigned To kgv => osa
2021-11-22 23:09 kgv Status new => resolved
2021-11-23 10:02 osa Note Added: 0105364
2021-11-23 10:02 osa Assigned To osa => bugmaster
2021-11-23 10:02 osa Status resolved => reviewed
2021-11-27 14:23 smoskvin Note Added: 0105462
2021-11-27 14:23 smoskvin Status reviewed => tested
2021-11-27 14:52 smoskvin Changeset attached => occt master e1aa4ee3
2021-11-27 14:52 smoskvin Assigned To bugmaster => smoskvin
2021-11-27 14:52 smoskvin Status tested => verified
2021-11-27 14:52 smoskvin Resolution open => fixed
2021-12-13 14:56 git Note Added: 0105889